LINUX.ORG.RU

mhwd Отказывается удалять nouveau драйвер

 , , , ,


0

1

Имею супер систему оптимус. Хочу удалить nouveau драйвер но:

[athena@CODE ~]$ sudo mhwd -r pci video-hybrid-intel-nouveau-bumblebee
> Removing video-hybrid-intel-nouveau-bumblebee...
Using default
Has lib32 support: true
Sourcing /var/lib/mhwd/local/pci/video-hybrid-intel-nouveau-bumblebee/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
проверка зависимостей...\n
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: lib32-mesa: требует lib32-mesa-dri
:: mesa: требует mesa-dri
Error: pacman failed!
Error: script failed!

Зависимости :

[athena@CODE ~]$ sudo pacman -S lib32-mesa lib32-mesa-dri
предупреждение: lib32-mesa-10.3.5-1 не устарел -- переустанавливается
предупреждение: lib32-mesa-dri-10.3.5-1 не устарел -- переустанавливается
разрешение зависимостей...\n
проверка на взаимную несовместимость...\n

Пакеты (2): lib32-mesa-10.3.5-1  lib32-mesa-dri-10.3.5-1

Общий объем в установленном виде: 18,85 MiB
Объем обновления по сети: 0,00 MiB

:: Приступить к установке? [Y/n]

А при удалении :

athena@CODE ~]$ sudo pacman -r lib32-mesa lib32-mesa-dri
ошибка: не удалось инициализировать библиотеку alpm (не удалось найти или прочитать каталог)
[athena@CODE ~]$

Ответ на: комментарий от Lincor

Простите. Сам не заметил.. Может и так, я новичек в арче. Сейчас проверю

pulshen ()
Ответ на: комментарий от Lincor

Да, так правильно но :

[athena@CODE ~]$ sudo pacman -R lib32-mesa lib32-mesa-dri
[sudo] password for athena: 
проверка зависимостей...\n
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: lib32-cairo: требует lib32-mesa
[athena@CODE ~]$ sudo pacman -R mesa mesa-dri
проверка зависимостей...\n
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: cairo: требует mesa
:: lib32-mesa: требует mesa
:: libtxc_dxtn: требует mesa
:: mhwd: требует mesa
:: xf86-video-intel: требует mesa-dri
:: xf86-video-nouveau: требует mesa-dri
[athena@CODE ~]$ 

pulshen ()

sudo pacman -Rdcs имяпакета Удалит пакет со всеми зависимыми от него. Вперёд

thecre ()

Во-первых, где тег «arch»?

Во-вторых, в твоей конфигурации месу удялять нельзя (это основной линуксовый графический стек, на нём всё держится). Если mhwd пытается это сделать — mhwd говно.

В-третьих, тебе нужно удалить следующие пакеты: xf86-video-nouveau. Остаться должны как минимум mesa-libgl, mesa-dri и xf86-video-intel.

intelfx ★★★★★ ()
Последнее исправление: intelfx (всего исправлений: 1)
Ответ на: комментарий от pulshen

Всё равно. У них пакетные базы похожие (внезапно), поэтому тег уместен.

Ну это как в треде про внутреннее устройство mint уместны теги ubuntu и debian.

intelfx ★★★★★ ()
Ответ на: комментарий от intelfx

Проблема решилась, спасибо. А насчет тегов, буду знать.

pulshen ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.